debian 9 et java jdk 1.8 ?

Le
G2PC
Navré pour cette question, ceux qui savent vont rire, mais, comment
avoir debian 9 et java jdk 1.8 ?

Pour lancer mcmyadmin2, il me faut jdk 1.8
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
andre_debian
Le #26443825
On Tuesday 05 September 2017 18:50:45 G2PC wrote:
Navré pour cette question, ceux qui savent vont rire, mais, comment
avoir debian 9 et java jdk 1.8 ?
Pour lancer mcmyadmin2, il me faut jdk 1.8

En allant sur le site de Java (Oracle),
c'est pas Libre mais ça marche...
André
Eric Degenetais
Le #26443830
--94eb2c1904d8614ab7055874897d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Avec Jessie il fallait utiliser les backport. Pour Stretch AFAIK c'est
apt-get install openjdk8-jdk
C'est libre ET ça marche.
Bonne fin de journée
Cordialement
Le 5 sept. 2017 6:51 PM, "G2PC"
Navré pour cette question, ceux qui savent vont rire, mais, comment
avoir debian 9 et java jdk 1.8 ?
Pour lancer mcmyadmin2, il me faut jdk 1.8


--94eb2c1904d8614ab7055874897d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
avoir debian 9 et java jdk 1.8 ?<br>
<br>
Pour lancer mcmyadmin2, il me faut jdk 1.8<br>
<br>
</div></div>
--94eb2c1904d8614ab7055874897d--
didier gaumet
Le #26443829
Le 05/09/2017 à 18:58, a écrit :
On Tuesday 05 September 2017 18:50:45 G2PC wrote:
Navré pour cette question, ceux qui savent vont rire, mais, comment
avoir debian 9 et java jdk 1.8 ?
Pour lancer mcmyadmin2, il me faut jdk 1.8

En allant sur le site de Java (Oracle),
c'est pas Libre mais ça marche...

j'avais cru comprendre qu'Openjdk (qui figure dans les paquets Debian)
était désormais le standard java?
Jean-Michel OLTRA
Le #26443844
Bonjour,
Le mardi 05 septembre 2017, G2PC a écrit...
J'ai bien installé openjdk-8-jdk et j'ai bien un retour avec java -version
Par contre, à l'installation de mcmyadmin2 , j'ai un Warning : Warning :
Unable to detect java version! Java may not be installed or may be outdated.
On me dit, il faudrait activer java ?
J'ai tenté d'ajouter 2 lignes, dans .bashrc puis j'ai redémarré, mais,
ça ne change rien. J'ai effacé les 2 lignes de .bashrc
Retour à la case départ,
openjdk-8-jdk est installé. Mais, warning à l'installation.
Ici, le chemin pris lors de mon installation :
https://www.visionduweb.eu/wiki/index.php?title=Minecraft#Installer_un_serveur_Minecraft_sur_Debian_9_avec_McMyAdmin2

Si tu parles de la partie concernant lanceur.sh dans ce tuto, il semble
lancé par l'utilisateur minecraft. Donc ce que tu mets dans ton ~/.bashrc ne
va pas être bien utile. Il s'agirait plutôt de celui de M. minecraft.
Sinon, au lieu de 'java' dans lanceur.sh, tu mets le chemin complet de
l'exécutable (/usr/lib/jvm/java-8-openjdk-amd64/bin/java peut-être)
--
jm
G2PC
Le #26443856
Le 05/09/2017 à 22:31, Jean-Michel OLTRA a écrit :
Bonjour,
Le mardi 05 septembre 2017, G2PC a écrit...
J'ai bien installé openjdk-8-jdk et j'ai bien un retour avec java -version
Par contre, à l'installation de mcmyadmin2 , j'ai un Warning : Warning :
Unable to detect java version! Java may not be installed or may be outdated.
On me dit, il faudrait activer java ?
J'ai tenté d'ajouter 2 lignes, dans .bashrc puis j'ai redémarré, mais,
ça ne change rien. J'ai effacé les 2 lignes de .bashrc
Retour à la case départ,
openjdk-8-jdk est installé. Mais, warning à l'installation.
Ici, le chemin pris lors de mon installation :
https://www.visionduweb.eu/wiki/index.php?title=Minecraft#Installer_un_serveur_Minecraft_sur_Debian_9_avec_McMyAdmin2

Si tu parles de la partie concernant lanceur.sh dans ce tuto, il semble
lancé par l'utilisateur minecraft. Donc ce que tu mets dans ton ~/.bashrc ne
va pas être bien utile. Il s'agirait plutôt de celui de M. minecraft.
Sinon, au lieu de 'java' dans lanceur.sh, tu mets le chemin complet de
l'exécutable (/usr/lib/jvm/java-8-openjdk-amd64/bin/java peut-être)

Merci de ta lecture, navré de te perdre dans le wiki, tu es un peu plus
loin que la première partie qui m'intéresse :
Installer_un_serveur_Minecraft_sur_Debian_9_avec_McMyAdmin2
https://www.visionduweb.eu/wiki/index.php?title=Minecraft#Installer_un_serveur_Minecraft_sur_Debian_9_avec_McMyAdmin2
Maintenant fonctionnel !
(Je vais ajouter les quelques notes, dans l'heure, pour finaliser cette
partie, avec les Warning, les versions, et, les modifications.)
La partie concernant le lanceur.sh, j'ai laissé tombé en tout cas pour
le moment. Tu es déjà trop loin dans la lecture :
https://www.visionduweb.eu/wiki/index.php?title=Minecraft#Installer_un_serveur_Minecraft_officiel
En veille !
J'ai recommencé mes essais de serveur minecraft avec mcmyadmin2 qui est
une interface web pour configurer le serveur minecraft.
Si j'ai bien compris, mcmyadmin2 utilise le service web bukkit, mais, en
passant par mcmyadmin2, je n'ai pas besoin de configurer bukkit.
Le service de mcmyadmin2 est très propre visuellement agréable, et,
fonctionnel sans inscription.
La suite de mon tuto, que je n'ai pas aboutis, il devait fonctionner,
mais, je n'ai pas pu le tester.
En effet, il me manquait et il me manque toujours le lanceur pour
démarrer le jeu, et pointer vers mon serveur en local, ou, à distance.
Je ne veux pas perdre trop de temps sur Minecraft, puisqu'on m'a parlé
des solutions alternatives, j'ai donc tenté mcmyadmin2.
McMyAdmin2 est donc présenté en premier sur le wiki.
Je n'ai pas réussi à régler le Warning de Java :
Warning : Unable to detect java version! Java may not be installed or
may be outdated.
Par contre, j'ai pu recommencer l'installation avec mcmyadmin2 et
maintenant, le serveur de minecraft fonctionne correctement.
La montée en charge Ram + CPU est visible depuis l'interface web de
mcmyadmin2, et, l'absence d'erreur dans le lancement du serveur me rend
confiant dans le fait qu'il fonctionne.
Il me reste donc à tester le jeu avec un lanceur, que je ne sais pas
encore configurer.
Lanceur officiel, ou, lanceur dit craqué ?
Une fois cette étape de lancement validée, je pourrais reprendre et
finaliser cette page en entier, je pourrais tester l'installation du
serveur officiel sans passer par mcmyadmin et bukkit.
Eric Degenetais
Le #26443858
--94eb2c1904d85b679005587e7853
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Bonjour, le warning est probablement tout simplement dû à une m éthode
erronée de détection de la version de java. Tant que le service f onctionne
pas forcément besoin de corriger ton système.
Bonne journée
Le 6 sept. 2017 12:22 AM, "G2PC" Le 05/09/2017 à 22:31, Jean-Michel OLTRA a écrit :
Bonjour,
Le mardi 05 septembre 2017, G2PC a écrit...
J'ai bien installé openjdk-8-jdk et j'ai bien un retour avec java


-version
Par contre, à l'installation de mcmyadmin2 , j'ai un Warning : Warn ing :
Unable to detect java version! Java may not be installed or may be


outdated.
On me dit, il faudrait activer java ?
J'ai tenté d'ajouter 2 lignes, dans .bashrc puis j'ai redémarr é, mais,
ça ne change rien. J'ai effacé les 2 lignes de .bashrc
Retour à la case départ,
openjdk-8-jdk est installé. Mais, warning à l'installation.
Ici, le chemin pris lors de mon installation :
https://www.visionduweb.eu/wiki/index.php?title=Minecraft#Installer_un _


serveur_Minecraft_sur_Debian_9_avec_McMyAdmin2
Si tu parles de la partie concernant lanceur.sh dans ce tuto, il semble
lancé par l'utilisateur minecraft. Donc ce que tu mets dans ton ~/.b ashrc

ne
va pas être bien utile. Il s'agirait plutôt de celui de M. mine craft.
Sinon, au lieu de 'java' dans lanceur.sh, tu mets le chemin complet de
l'exécutable (/usr/lib/jvm/java-8-openjdk-amd64/bin/java peut-ê tre)

Merci de ta lecture, navré de te perdre dans le wiki, tu es un peu plu s
loin que la première partie qui m'intéresse :
Installer_un_serveur_Minecraft_sur_Debian_9_avec_McMyAdmin2
https://www.visionduweb.eu/wiki/index.php?title=Minecraft#Installer_un_
serveur_Minecraft_sur_Debian_9_avec_McMyAdmin2
Maintenant fonctionnel !
(Je vais ajouter les quelques notes, dans l'heure, pour finaliser cette
partie, avec les Warning, les versions, et, les modifications.)
La partie concernant le lanceur.sh, j'ai laissé tombé en tout cas pour
le moment. Tu es déjà trop loin dans la lecture :
https://www.visionduweb.eu/wiki/index.php?title=Minecraft#Installer_un_
serveur_Minecraft_officiel
En veille !
J'ai recommencé mes essais de serveur minecraft avec mcmyadmin2 qui es t
une interface web pour configurer le serveur minecraft.
Si j'ai bien compris, mcmyadmin2 utilise le service web bukkit, mais, en
passant par mcmyadmin2, je n'ai pas besoin de configurer bukkit.
Le service de mcmyadmin2 est très propre visuellement agréable, e t,
fonctionnel sans inscription.
La suite de mon tuto, que je n'ai pas aboutis, il devait fonctionner,
mais, je n'ai pas pu le tester.
En effet, il me manquait et il me manque toujours le lanceur pour
démarrer le jeu, et pointer vers mon serveur en local, ou, à dist ance.
Je ne veux pas perdre trop de temps sur Minecraft, puisqu'on m'a parlé
des solutions alternatives, j'ai donc tenté mcmyadmin2.
McMyAdmin2 est donc présenté en premier sur le wiki.
Je n'ai pas réussi à régler le Warning de Java :
Warning : Unable to detect java version! Java may not be installed or
may be outdated.
Par contre, j'ai pu recommencer l'installation avec mcmyadmin2 et
maintenant, le serveur de minecraft fonctionne correctement.
La montée en charge Ram + CPU est visible depuis l'interface web de
mcmyadmin2, et, l'absence d'erreur dans le lancement du serveur me rend
confiant dans le fait qu'il fonctionne.
Il me reste donc à tester le jeu avec un lanceur, que je ne sais pas
encore configurer.
Lanceur officiel, ou, lanceur dit craqué ?
Une fois cette étape de lancement validée, je pourrais reprendre et
finaliser cette page en entier, je pourrais tester l'installation du
serveur officiel sans passer par mcmyadmin et bukkit.
--94eb2c1904d85b679005587e7853
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
&gt;     Bonjour,<br>
&gt;<br>
&gt;<br>
&gt; Le mardi 05 septembre 2017, G2PC a écrit...<br>
&gt;<br>
&gt;<br>
&gt;&gt; J&#39;ai bien installé openjdk-8-jdk et j&#39;ai bien un reto ur avec java -version<br>
&gt;&gt; Par contre, à l&#39;installation de mcmyadmin2 , j&#39;ai un Warning : Warning :<br>
&gt;&gt; Unable to detect java version! Java may not be installed or may be outdated.<br>
&gt;&gt; On me dit, il faudrait activer java ?<br>
&gt;&gt; J&#39;ai tenté d&#39;ajouter 2 lignes, dans .bashrc puis j&#3 9;ai redémarré, mais,<br>
&gt;&gt; ça ne change rien. J&#39;ai effacé les 2 lignes de .bash rc<br>
&gt;&gt; Retour à la case départ,<br>
&gt;&gt; openjdk-8-jdk est installé. Mais, warning à l&#39;instal lation.<br>
&gt;&gt; Ici, le chemin pris lors de mon installation :<br>
&gt;&gt; &gt; Si tu parles de la partie concernant lanceur.sh dans ce tuto, il sembl e<br>
&gt; lancé par l&#39;utilisateur minecraft. Donc ce que tu mets dans t on ~/.bashrc ne<br>
&gt; va pas être bien utile. Il s&#39;agirait plutôt de celui de M. minecraft.<br>
&gt;<br>
&gt; Sinon, au lieu de &#39;java&#39; dans lanceur.sh, tu mets le chemin co mplet de<br>
&gt; l&#39;exécutable (/usr/lib/jvm/java-8-openjdk-<wbr>amd64/bin/java peut-être)<br>
</div>Merci de ta lecture, navré de te perdre dans le wiki, tu es un p eu plus<br>
loin que la première partie qui m&#39;intéresse :<br>
Installer_un_serveur_<wbr>Minecraft_sur_Debian_9_avec_<wbr>McMyAdmin2<br>
Maintenant fonctionnel !<br>
(Je vais ajouter les quelques notes, dans l&#39;heure, pour finaliser cette <br>
partie, avec les Warning, les versions, et, les modifications.)<br>
<br>
La partie concernant le lanceur.sh, j&#39;ai laissé tombé en tout cas pour<br>
le moment.  Tu es déjà trop loin dans la lecture :<br>
En veille !<br>
<br>
J&#39;ai recommencé mes essais de serveur minecraft avec mcmyadmin2 qu i est<br>
une interface web pour configurer le serveur minecraft.<br>
Si j&#39;ai bien compris, mcmyadmin2 utilise le service web bukkit, mais, e n<br>
passant par mcmyadmin2, je n&#39;ai pas besoin de configurer bukkit.<br>
Le service de mcmyadmin2 est très propre visuellement agréable, e t,<br>
fonctionnel sans inscription.<br>
<br>
La suite de mon tuto, que je n&#39;ai pas aboutis, il devait fonctionner,<b r>
mais, je n&#39;ai pas pu le tester.<br>
En effet, il me manquait et il me manque toujours le lanceur pour<br>
démarrer le jeu, et pointer vers mon serveur en local, ou, à dist ance.<br>
Je ne veux pas perdre trop de temps sur Minecraft, puisqu&#39;on m&#39;a pa rlé<br>
des solutions alternatives, j&#39;ai donc tenté mcmyadmin2.<br>
McMyAdmin2 est donc présenté en premier sur le wiki.<br>
<br>
Je n&#39;ai pas réussi à régler le Warning de Java :<br>
<div class="quoted-text">Warning : Unable to detect java version! Java ma y not be installed or<br>
may be outdated.<br>
<br>
</div>Par contre, j&#39;ai pu recommencer l&#39;installation avec mcmyadmin 2 et<br>
maintenant, le serveur de minecraft fonctionne correctement.<br>
La montée en charge Ram + CPU est visible depuis l&#39;interface web d e<br>
mcmyadmin2, et, l&#39;absence d&#39;erreur dans le lancement du serveur me rend<br>
confiant dans le fait qu&#39;il fonctionne.<br>
<br>
Il me reste donc à tester le jeu avec un lanceur, que je ne sais pas<b r>
encore configurer.<br>
Lanceur officiel, ou, lanceur dit craqué ?<br>
<br>
Une fois cette étape de lancement validée, je pourrais reprendre et<br>
finaliser cette page en entier, je pourrais tester l&#39;installation du<br >
serveur officiel sans passer par mcmyadmin et bukkit.<br>
<br>
</div><br></div>
--94eb2c1904d85b679005587e7853--
C. Mourad Jaber
Le #26443860
Bonjour,
le package java-package est fait pour toi...
pour installer la version officiel de oracle :
- installer java-package
- telecharger le tar.gz officiel
- utiliser la commande make-jpkg nom_du_fichier_jdk.tar.gz
- installer le .deb genéré...
Les détails sont ici : https://wiki.debian.org/JavaPackage
Mes 2cents
Mourad
Le 05/09/2017 à 18:50, G2PC a écrit :
Navré pour cette question, ceux qui savent vont rire, mais, comment
avoir debian 9 et java jdk 1.8 ?
Pour lancer mcmyadmin2, il me faut jdk 1.8
Publicité
Poster une réponse
Anonyme